using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace WebApplication2.Admin
{
	/// <summary>
	/// AddTemplate 的摘要说明。
	/// </summary>
	public partial class AddTemplate : System.Web.UI.Page
	{
	
		protected void Page_Load(object sender, System.EventArgs e)
		{
			if(!Page.IsPostBack)
			{
				if(this.Session["USERNAME"]==null||this.Session["Role"]==null||this.Session["USERNAME"].ToString()==""||this.Session["Role"].ToString()=="")
				{
					Response.Redirect("login.aspx");
				}
				else
				{
					string [] role=this.Session["Role"].ToString().Split('#');
					bool Exists=false;
					for(int i=0;i<role.Length;i++)
					{
						if(role[i].Equals("17")||role[i].Equals("0"))
						{
							Exists=true;break;
						}
					}
					if(!Exists)
					{Response.Redirect("NoAuthor.aspx");}
				}
			}	
			// 在此处放置用户代码以初始化页面
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    

		}
		#endregion

		protected void Button1_Click(object sender, System.EventArgs e)
		{
			if(isnumber(this.TextBox1.Text))
			{
				string bh=this.TextBox1.Text;
				string title=this.TextBox2.Text;
				string content=this.TextBox3.Text;
				string memo=this.TextBox4.Text;
				DateTime dt=DateTime.Now;
				SB.ADOHelper help=new SB.ADOHelper();
               int existes=help.execExecuteScalar("select count(*) from Template where bh='" + bh.Trim() + "'");
               if (existes > 0)
               {
                   Response.Write("<script>alert('编号已存在！')</script>"); return;
               }
				DataSet ds=new DataSet();
				SqlDataAdapter da=new SqlDataAdapter("select * from Template",help.conn);
				if(help.conn.State==ConnectionState.Closed)
				{help.conn.Open();}
				da.Fill(ds);
				SqlCommandBuilder sb=new SqlCommandBuilder(da);
				DataRow row=ds.Tables[0].NewRow();
				row.BeginEdit();
				row["bh"]=bh;
				row["Title"]=title;
				row["Template"]=content;
				row["Remarks"]=memo;
				row["AddTime"]=dt.ToShortDateString();
				row.EndEdit();
				ds.Tables[0].Rows.Add(row);
				da.Update(ds,ds.Tables[0].TableName);
				SB.ADOHelper.alertmsg("添加完成!","JsTemplate.aspx");
                help.conn.Close();
			}
			else
			{
				Response.Write("<script>alert('编号应为数值！')</script>");
			}
			
		}
		private bool isnumber(string str)
		{
			int leng=str.Length;
			for(int i=0;i<leng;i++)
			{
				if(!char.IsNumber(str[i]))
				{
					return false;
				}
			}
			return true;

		}

		protected void Button2_Click(object sender, System.EventArgs e)
		{
		Response.Redirect("JsTemplate.aspx");
		}
	}
}
